MediaWiki 1.35/wmf.25

TriangleArrow-Left.svgMediaWiki 1.35.0-wmf.24 Deployment of MediaWiki 1.35.0-wmf.25 to Wikimedia sites MediaWiki 1.35.0-wmf.26TriangleArrow-Right.svg

The latest version (labeled "1.35.0-wmf.25") of MediaWiki, the software that powers Wikipedia and its sister sites, is being deployed to all Wikimedia sites in stages, starting on Tuesday, 24 March 2020 (see the roadmap).

Core changesEdit

VendorEdit

ExtensionsEdit

3DEdit

  • git #cbc81470 - build: Updating npm dependencies by libraryupgrader
  • git #42ffbc9d - build: Updating minimist to 1.2.5 by libraryupgrader

AbuseFilterEdit

ActiveAbstractEdit

AdvancedSearchEdit

  • git #7b7a3618 - build: Updating npm dependencies by libraryupgrader
  • git #e5b5aea4 - build: Updating minimist to 1.2.5 by libraryupgrader

AntiSpoofEdit

  • git #70907eff - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #0db40dc2 - build: Updating minimist to 1.2.5 by libraryupgrader

ApiFeatureUsageEdit

  • git #e2b4afef - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #cf980879 - build: Updating minimist to 1.2.5 by libraryupgrader
  • git #e3486dc9 - build: Remove unneeded suppression by Umherirrender

ArticleCreationWorkflowEdit

  • git #fbb94e09 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #d2145425 - build: Updating minimist to 1.2.5 by libraryupgrader

ArticlePlaceholderEdit

  • git #653338e1 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #ed4c4765 - build: Updating minimist to 1.2.5 by libraryupgrader

BabelEdit

  • git #aae8ac02 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #4caef1a1 - build: Updating minimist to 1.2.5 by libraryupgrader

BetaFeaturesEdit

  • git #4f2461b4 - build: Updating npm dependencies by libraryupgrader
  • git #beacdccd - build: Updating minimist to 1.2.5 by libraryupgrader

BounceHandlerEdit

  • git #bf42ace0 - build: Updating mkdirp to 0.5.3 by libraryupgrader

CalendarEdit

  • git #e57dde37 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #f54c69a3 - build: Updating minimist to 1.2.5 by libraryupgrader

CampaignsEdit

  • git #eb035ca7 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #2b77297d - build: Updating minimist to 1.2.5 by libraryupgrader

CapiuntoEdit

CategoryTreeEdit

  • git #ca682174 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #112d5ad8 - build: Updating minimist to 1.2.5 by libraryupgrader

CentralAuthEdit

  • git #d1a96682 - SpecialCentralAuth: Fix casing of Html class name by Thalia
  • git #bdf676d5 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #d8dff3e1 - build: Updating minimist to 1.2.5 by libraryupgrader
  • git #424f3ed1 - Change the logging entry for just loading CentralAutoLogin to debug by Brian Wolff

CentralNoticeEdit

No changes for CentralNotice

CharInsertEdit

  • git #89748835 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #e34bc74f - build: Updating minimist to 1.2.5 by libraryupgrader

CheckUserEdit

CirrusSearchEdit

  • git #cf0ee536 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #3a05cf5e - Do not permit to enable the completion suggester from request params by David Causse
  • git #45d89b9d - build: Updating minimist to 1.2.5 by libraryupgrader

CiteEdit

CiteThisPageEdit

  • git #cc5a9a3d - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #1b0553bd - build: Updating minimist to 1.2.5 by libraryupgrader

CitoidEdit

  • git #f358e17d - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #676245cf - build: Updating minimist to 1.2.5 by libraryupgrader

cldrEdit

  • git #1900cfe6 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #25735438 - build: Updating minimist to 1.2.5 by libraryupgrader

CodeEditorEdit

  • git #2f2694ff - build: Updating npm dependencies by libraryupgrader
  • git #ce4d932e - build: Updating minimist to 1.2.5 by libraryupgrader

CodeMirrorEdit

  • git #0d0638cc - build: Updating npm dependencies by libraryupgrader
  • git #4d53bcbe - VE: Don't load CodeMirror code until tool is activated by Ed Sanders
  • git #2ea69d71 - build: Updating npm dependencies by libraryupgrader

CodeReviewEdit

  • git #66673200 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #9fe4a93f - Use lowercase for primitive type 'string' by DannyS712

CognateEdit

CollaborationKitEdit

CollectionEdit

  • git #a25e7096 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #52ccc79a - Fix double `@codingStandardsIgnoreStart` tags (second should be end) by DannyS712
  • git #64506b1f - build: Updating minimist to 1.2.5 by libraryupgrader
  • git #ef57d40d - Remove usages of deprecated Revision::newFromTitle (task T246284) by Petr Pchelko

CommonsMetadataEdit

  • git #97dfebee - build: Updating minimist to 1.2.5 by libraryupgrader

ConfirmEditEdit

  • git #601b1fff - VE integration: Fix the "Refresh" button by Bartosz Dziewoński
  • git #da4c75e3 - VE integration: Remove "Warning:" label before CAPTCHA by Bartosz Dziewoński
  • git #387bbb1f - Avoid deprecated curly brace syntax by Kunal Mehta
  • git #445b8704 - build: Updating npm dependencies by libraryupgrader
  • git #e40b883e - build: Updating minimist to 1.2.5 by libraryupgrader

CongressLookupEdit

  • git #d222812a - build: Updating mkdirp to 0.5.3 by libraryupgrader

ContactPageEdit

  • git #f827267b - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #1a7daa50 - build: Updating minimist to 1.2.5 by libraryupgrader

ContentTranslationEdit

No changes for ContentTranslation

ContributionTrackingEdit

  • git #f0b3061a - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #22a2a367 - build: Updating minimist to 1.2.5 by libraryupgrader

CreditsSourceEdit

DashikiEdit

  • git #380064c8 - build: Updating mkdirp to 0.5.3 by libraryupgrader

DisambiguatorEdit

  • git #3d6df7a2 - build: Updating mkdirp to 0.5.3 by libraryupgrader

DiscussionToolsEdit

  • git #19b8d8ef - build: Updating npm dependencies by libraryupgrader
  • git #7fcd880f - controller: Fix minor issues with error popup by Bartosz Dziewoński
  • git #9d2cb7bd - Also update 'jsconfigvars' when previewing by Bartosz Dziewoński
  • git #a6ce1e23 - ReplyWidget: Double-check that we can post before posting (task T246058) by Bartosz Dziewoński
  • git #6ca383e9 - build: Updating minimist to 1.2.5 by libraryupgrader
  • git #4e135c7f - Use 'baserevid' instead of 'basetimestamp' for edit conflict detection (task T246726) by Bartosz Dziewoński

DismissableSiteNoticeEdit

  • git #1fdeba8a - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #364506bf - build: Updating minimist to 1.2.5 by libraryupgrader

DonationInterfaceEdit

  • git #56774aba - Use lowercase for primitive type 'string' by DannyS712

DoubleWikiEdit

  • git #e006410a - build: Updating minimist to 1.2.5 by libraryupgrader

DynamicSidebarEdit

EchoEdit

  • git #4b602d79 - build: Updating npm dependencies by libraryupgrader
  • git #1d8170a5 - Use lowercase for primitive type 'string' by DannyS712
  • git #64b389fd - build: Updating minimist to 1.2.5 by libraryupgrader

ElasticaEdit

  • git #9f4694d9 - build: Updating npm dependencies by libraryupgrader
  • git #836d3715 - build: Updating minimist to 1.2.5 by libraryupgrader

ElectronPdfServiceEdit

  • git #1b8c5252 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #2c8f35f9 - build: Updating minimist to 1.2.5 by libraryupgrader

EntitySchemaEdit

EventBusEdit

  • git #c6c4f41d - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #67afd948 - Use lowercase for primitive type 'string' by DannyS712
  • git #9b1573ae - build: Updating minimist to 1.2.5 by libraryupgrader

EventLoggingEdit

EventStreamConfigEdit

  • git #e652ca38 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #80b21aae - build: Updating minimist to 1.2.5 by libraryupgrader

ExtensionDistributorEdit

  • git #27bb76a7 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #309576a6 - build: Updating minimist to 1.2.5 by libraryupgrader

ExternalGuidanceEdit

  • git #2a7add59 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #b1accffc - build: Updating minimist to 1.2.5 by libraryupgrader

FeaturedFeedsEdit

  • git #870fe53b - Use lowercase for primitive type 'string' by DannyS712
  • git #fdef6ec9 - build: Updating minimist to 1.2.5 by libraryupgrader

FileExporterEdit

  • git #2e3aced5 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #b04332b8 - build: Updating minimist to 1.2.5 by libraryupgrader

FileImporterEdit

FlaggedRevsEdit

FlowEdit

FundraiserLandingPageEdit

  • git #c5e8e1b6 - build: Updating mkdirp to 0.5.3 by libraryupgrader

FundraisingTranslateWorkflowEdit

GadgetsEdit

  • git #7b038d74 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #fd1ff409 - build: Updating minimist to 1.2.5 by libraryupgrader

GeoCrumbsEdit

  • git #4daab5b5 - build: Updating mkdirp to 0.5.3 by libraryupgrader

GeoDataEdit

  • git #c836bc83 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #35c97543 - build: Updating minimist to 1.2.5 by libraryupgrader

GettingStartedEdit

  • git #ed1832ca - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #e57fe67c - build: Updating minimist to 1.2.5 by libraryupgrader

GlobalBlockingEdit

GlobalCssJsEdit

  • git #8bc2de16 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #b3915c0e - build: Updating minimist to 1.2.5 by libraryupgrader
  • git #1b555123 - Adapt to new WikiPage::doDeleteArticleReal() for phan happiness by Kunal Mehta
  • git #6845a522 - Remove usage of deprecated Revision::newFromTitle (task T246284) by Petr Pchelko

GlobalPreferencesEdit

  • git #38ffd374 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #92e8b32a - build: Updating minimist to 1.2.5 by libraryupgrader

GlobalUsageEdit

  • git #e0d8ea85 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #b23100bc - Use lowercase for primitive type 'string' by DannyS712
  • git #b096f1d8 - build: Updating minimist to 1.2.5 by libraryupgrader
  • git #6d4110e4 - Convert `globalimagelinks_to_wiki_page` from unique index to primary key (task T243987) by DannyS712

GlobalUserPageEdit

  • git #44cd732d - build: Replace jsonlint with eslint by zoranzoki21
  • git #a20636d7 - build: Updating minimist to 1.2.5 by libraryupgrader

GoogleNewsSitemapEdit

  • git #99f4d60c - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #9eb4401b - Use lowercase for primitive type 'string' by DannyS712

GraphEdit

  • git #d61008aa - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #c17aaed9 - build: Updating minimist to 1.2.5 by libraryupgrader

GrowthExperimentsEdit

GuidedTourEdit

  • git #08ec5db6 - Replace outdated element-id selector comment by Volker E
  • git #5a901ef8 - build: Updating npm dependencies by libraryupgrader
  • git #0564e982 - build: Updating minimist to 1.2.5 by libraryupgrader

GWToolsetEdit

  • git #321ae780 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #77c02f46 - Use lowercase for primitive type 'int' by DannyS712

ImageMapEdit

  • git #05c4d082 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #23d87e07 - build: Updating minimist to 1.2.5 by libraryupgrader

InputBoxEdit

  • git #75e906e2 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #13a00399 - Use lowercase for primitive type 'string' by DannyS712
  • git #950764bd - build: Updating minimist to 1.2.5 by libraryupgrader

InsiderEdit

  • git #0af0aa02 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #50064381 - build: Updating minimist to 1.2.5 by libraryupgrader

intersectionEdit

  • git #262ec30e - build: Updating mkdirp to 0.5.3 by libraryupgrader

InterwikiEdit

  • git #bb1bbf50 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #58d12b4a - build: Updating minimist to 1.2.5 by libraryupgrader

InterwikiSortingEdit

  • git #9239152f - build: Updating mkdirp to 0.5.3 by libraryupgrader

JadeEdit

JosaEdit

  • git #4367d51c - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #1f08f621 - build: Updating minimist to 1.2.5 by libraryupgrader

JsonConfigEdit

KartographerEdit

LabeledSectionTransclusionEdit

  • git #c211516b - build: Updating npm dependencies by libraryupgrader
  • git #adbc7365 - build: Updating minimist to 1.2.5 by libraryupgrader

LandingCheckEdit

  • git #48e0be1b - build: Updating mkdirp to 0.5.3 by libraryupgrader

LdapAuthenticationEdit

  • git #128122ec - build: Updating mkdirp to 0.5.3 by libraryupgrader

LinterEdit

  • git #492d77b6 - build: Updating composer dependencies by libraryupgrader
  • git #b2284cb7 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #9f95c02c - build: Updating minimist to 1.2.5 by libraryupgrader

LiquidThreadsEdit

  • git #3be558ff - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #6c253db9 - Use lowercase for primitive type 'string' by DannyS712
  • git #fe3da2e5 - build: Updating minimist to 1.2.5 by libraryupgrader

ListingsEdit

  • git #77bc44d2 - build: Updating mkdirp to 0.5.3 by libraryupgrader

LocalisationUpdateEdit

  • git #2b2708e5 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #9186e57e - build: Updating minimist to 1.2.5 by libraryupgrader

LoginNotifyEdit

  • git #a1991d1c - build: Updating mkdirp to 0.5.3 by libraryupgrader

MachineVisionEdit

MapSourcesEdit

MassMessageEdit

MathEdit

  • git #a429c8cc - Fix escaping issues and a series of unrelated code cleanups by Thiemo Kreuz
  • git #08291a2a - extension.json - don't use array syntax when hooks only have 1 handler by DannyS712
  • git #88d85a94 - build: Updating npm dependencies by libraryupgrader
  • git #f5d0db17 - Use lowercase for primitive type 'string' by DannyS712
  • git #bcf50cb3 - build: Updating npm dependencies by libraryupgrader

MobileAppEdit

  • git #80156bc8 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #449607f5 - build: Updating minimist to 1.2.5 by libraryupgrader

MobileFrontendEdit

MultimediaViewerEdit

  • git #80165f9f - build: Updating npm dependencies by libraryupgrader
  • git #b3556c6c - build: Updating npm dependencies by libraryupgrader

NavigationTimingEdit

  • git #81a2dd98 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #c01a2634 - build: Updating minimist to 1.2.5 by libraryupgrader

NewsletterEdit

NewUserMessageEdit

  • git #e861e93e - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #f5debe0f - Use lowercase for primitive type 'string' by DannyS712
  • git #adefc338 - build: Updating minimist to 1.2.5 by libraryupgrader

NukeEdit

OATHAuthEdit

OAuthEdit

OpenStackManagerEdit

  • git #12416d70 - build: Updating minimist to 1.2.5 by libraryupgrader

ORESEdit

  • git #5ae1f7f1 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #76429945 - build: Updating minimist to 1.2.5 by libraryupgrader

PageAssessmentsEdit

PagedTiffHandlerEdit

  • git #8cc1431e - build: Updating mkdirp to 0.5.3 by libraryupgrader

PageImagesEdit

  • git #feec9687 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #b9fe63ee - build: Updating minimist to 1.2.5 by libraryupgrader

PageTriageEdit

PageViewInfoEdit

  • git #fd5912c6 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #2b6fd134 - build: Updating minimist to 1.2.5 by libraryupgrader

ParserFunctionsEdit

  • git #e23d0ab2 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #c2864abd - build: Updating minimist to 1.2.5 by libraryupgrader

ParsoidBatchAPIEdit

  • git #806b3047 - build: Updating minimist to 1.2.5 by libraryupgrader

PdfHandlerEdit

  • git #399402aa - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #fd6caea4 - build: Updating minimist to 1.2.5 by libraryupgrader

PerformanceInspectorEdit

  • git #52166290 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #2fb97330 - build: Updating minimist to 1.2.5 by libraryupgrader

PetitionEdit

  • git #aa69dee6 - build: Updating mkdirp to 0.5.3 by libraryupgrader

PoemEdit

  • git #e113e340 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #b7cdda91 - build: Updating minimist to 1.2.5 by libraryupgrader

PoolCounterEdit

  • git #3de99dca - build: Updating mkdirp to 0.5.3 by libraryupgrader

PopupsEdit

No changes for Popups

ProofreadPageEdit

  • git #81336a43 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #7b506bc0 - build: Updating minimist to 1.2.5 by libraryupgrader

PropertySuggesterEdit

  • git #a7979383 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #359b761e - build: Updating minimist to 1.2.5 by libraryupgrader
  • git #e10cb0d6 - Enable Generic.Files.LineLength.TooLong and make pass by Umherirrender

QuickSurveysEdit

  • git #27fcf5a6 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #369e5204 - build: Updating minimist to 1.2.5 by libraryupgrader

QuizEdit

  • git #5eb851e7 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #046fdb95 - build: Updating minimist to 1.2.5 by libraryupgrader

ReadingListsEdit

  • git #5fa4ea46 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #4d2d1eae - build: Updating minimist to 1.2.5 by libraryupgrader

RelatedArticlesEdit

  • git #20501d39 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #56416d08 - Don't try to register "" as a style path, that breaks ResourceLoader (task T248090) by James D. Forrester
  • git #4dcb7842 - build: Updating minimist to 1.2.5 by libraryupgrader

RenameuserEdit

  • git #d4d717ff - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #7e7f6996 - build: Updating minimist to 1.2.5 by libraryupgrader

RevisionSliderEdit

  • git #8c17a265 - build: Updating npm dependencies by libraryupgrader
  • git #aeb4a2eb - build: Updating minimist to 1.2.5 by libraryupgrader

RSSEdit

  • git #0755b6c2 - build: Updating mkdirp to 0.5.3 by libraryupgrader

SandboxLinkEdit

  • git #7d9c2a2a - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #cf0ab45c - build: Replace jsonlint with eslint by zoranzoki21

ScoreEdit

  • git #48778696 - build: Updating npm dependencies by libraryupgrader
  • git #4190b2a0 - build: Updating npm dependencies by libraryupgrader

ScribuntoEdit

SearchExtraNSEdit

  • git #eecc4ddc - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #b40f2cfb - build: Updating minimist to 1.2.5 by libraryupgrader

SecureLinkFixerEdit

  • git #09152be9 - Updating domains.php from Mozilla by SecureLinkFixer updater bot
  • git #bb1065f2 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #07d4f0a3 - build: Updating minimist to 1.2.5 by libraryupgrader

SecurePollEdit

SentryEdit

  • git #9e04ce43 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #883c2eb5 - build: Updating minimist to 1.2.5 by libraryupgrader

ShortUrlEdit

  • git #80e22794 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #20d3c246 - Fix indent of .eslintrc.json by Umherirrender
  • git #06b84e06 - build: Updating minimist to 1.2.5 by libraryupgrader

SiteMatrixEdit

  • git #07f45582 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #d5d1c74d - build: Updating minimist to 1.2.5 by libraryupgrader

SpamBlacklistEdit

SubPageList3Edit

  • git #5b45d4ce - build: Updating mkdirp to 0.5.3 by libraryupgrader

SubpageSortkeyEdit

  • git #cce589f9 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #c1515aa8 - build: Updating minimist to 1.2.5 by libraryupgrader

SyntaxHighlight_GeSHiEdit

  • git #4e96cef7 - build: Updating npm dependencies by libraryupgrader
  • git #3b765e8b - build: Updating minimist to 1.2.5 by libraryupgrader

TemplateDataEdit

  • git #735e9993 - build: Updating npm dependencies by libraryupgrader
  • git #5831948f - build: Updating minimist to 1.2.5 by libraryupgrader

TemplateSandboxEdit

  • git #497f0203 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #400bdea8 - build: Updating minimist to 1.2.5 by libraryupgrader

TemplateStylesEdit

  • git #26a0a9a9 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #a5e13eee - build: Updating minimist to 1.2.5 by libraryupgrader

TemplateWizardEdit

  • git #f5905472 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #a91260a9 - build: Updating minimist to 1.2.5 by libraryupgrader

TextExtractsEdit

  • git #533cfe6a - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #716b9921 - build: Updating minimist to 1.2.5 by libraryupgrader

ThanksEdit

  • git #409e869e - build: Updating npm dependencies by libraryupgrader
  • git #09008ad4 - build: Updating minimist to 1.2.5 by libraryupgrader

TheWikipediaLibraryEdit

TimedMediaHandlerEdit

  • git #5516a66a - Use lowercase for primitive type 'string' by DannyS712
  • git #e9b110e9 - build: Updating npm dependencies by libraryupgrader
  • git #2b682717 - Fix Phan errors not by suppression but with actual code by Thiemo Kreuz
  • git #7c3defe7 - Fix for deprecated operator precedence thing in PHP 8 (task T248109) by Brion Vibber
  • git #4f95948b - build: Updating minimist to 1.2.5 by libraryupgrader
  • git #efc7834e - Safari autoplay bug fix for audio by Brion Vibber

timelineEdit

  • git #3eb2fecd - build: Updating mkdirp to 0.5.3 by libraryupgrader

TitleBlacklistEdit

TocTreeEdit

  • git #1eab3a63 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #fe8659fd - build: Updating minimist to 1.2.5 by libraryupgrader

TorBlockEdit

  • git #42921e23 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #11f21679 - build: Updating minimist to 1.2.5 by libraryupgrader

TranslateEdit

TranslationNotificationsEdit

  • git #00dea078 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #067dcca6 - build: Updating minimist to 1.2.5 by libraryupgrader

TrustedXFFEdit

  • git #1da914d6 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #bad14564 - build: Updating minimist to 1.2.5 by libraryupgrader

TwoColConflictEdit

UniversalLanguageSelectorEdit

  • git #7b0ad581 - build: Updating npm dependencies by libraryupgrader
  • git #93f1c0a1 - build: Updating npm dependencies by libraryupgrader

UploadsLinkEdit

  • git #3fc879ec - build: Updating mkdirp to 0.5.3 by libraryupgrader

UploadWizardEdit

  • git #8d6f037e - build: Updating npm dependencies by libraryupgrader
  • git #b70739ca - Use lowercase for primitive type 'string' by DannyS712
  • git #511fce34 - build: Updating minimist to 1.2.5 by libraryupgrader

UrlShortenerEdit

  • git #60ce07cf - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #73417ff5 - build: Updating minimist to 1.2.5 by libraryupgrader

UserMergeEdit

VipsScalerEdit

  • git #b1da0876 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #96778aae - Use lowercase for primitive type 'string' by DannyS712
  • git #7e58d30c - build: Updating minimist to 1.2.5 by libraryupgrader

VisualEditorEdit

  • git #d0d6af8e - build: Updating composer dependencies by libraryupgrader
  • git #73dcfb71 - ApiVisualEditorEdit: Fix handling of 'minor' parameter (task T248257) by Bartosz Dziewoński
  • git #ad8e396f - build: Updating npm dependencies by libraryupgrader
  • git #e88f23f9 - build: Updating minimist to 1.2.5 by libraryupgrader
  • git #993cd894 - Update VE core submodule to master (61d8fefba) (task T245776) by James D. Forrester
  • git #2aeae1c3 - MWTransclusionDialog: Set 'aria-expanded' on "Show/hide options" button (task T248089) by Akinwale Alagbe
  • git #788c57a3 - Update VE core submodule to master (cf72879d2) (task T247877) by Ed Sanders
  • git #e2cb9ce9 - Remove incorrect handling for 'T-' prefix in section numbers (task T246164) by Bartosz Dziewoński
  • git #9e859a61 - ApiVisualEditorEdit: Remove unused output values 'basetimestamp', 'starttimestamp' by Bartosz Dziewoński
  • git #0039ca5b - ApiVisualEditorEdit: Remove unused variable $links by Bartosz Dziewoński
  • git #6d254de9 - ApiVisualEditorEdit: Remove use of deprecated 'modulescripts' by Bartosz Dziewoński
  • git #7b47575a - Add accessibility labels to all `type: 'list'` toolbar groups (task T245776) by Bartosz Dziewoński

WebAuthnEdit

  • git #3af0e82e - build: Updating npm dependencies by libraryupgrader
  • git #6f57261c - build: Updating minimist to 1.2.5 by libraryupgrader

WikibaseEdit

WikibaseCirrusSearchEdit

  • git #8042576a - build: Updating minimist to 1.2.5 by libraryupgrader
  • git #d50774ce - Adjust SearchEntities constructor args by Jakob Warkotsch
  • git #34fa3b15 - Fix a few PHPCS violations by Thiemo Kreuz

WikibaseLexemeEdit

  • git #219b7ac9 - build: Updating npm dependencies by libraryupgrader
  • git #071ff885 - build: Updating minimist to 1.2.5 by libraryupgrader
  • git #254c345b - Make all special page tests independent from the language by Thiemo Kreuz

WikibaseLexemeCirrusSearchEdit

  • git #ed976491 - build: Updating minimist to 1.2.5 by libraryupgrader

WikibaseMediaInfoEdit

WikibaseQualityConstraintsEdit

  • git #9d2783f0 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #b2900e50 - Use lowercase for primitive type 'string' by DannyS712
  • git #22bc4b2e - build: Updating minimist to 1.2.5 by libraryupgrader

Wikidata.orgEdit

  • git #f0478029 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #e2af6946 - build: Updating minimist to 1.2.5 by libraryupgrader

WikidataPageBannerEdit

  • git #90ade1d7 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #f9cf4155 - Use lowercase for primitive type 'string' by DannyS712
  • git #14c2944c - build: Updating minimist to 1.2.5 by libraryupgrader

WikiEditorEdit

  • git #04476d96 - build: Updating npm dependencies by libraryupgrader
  • git #08314766 - build: Updating minimist to 1.2.5 by libraryupgrader

wikihieroEdit

  • git #976c3eb6 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #0bfe12b3 - build: Updating minimist to 1.2.5 by libraryupgrader

WikiLoveEdit

  • git #79bc5eec - build: Updating npm dependencies by libraryupgrader
  • git #88c667c3 - build: Updating minimist to 1.2.5 by libraryupgrader

WikimediaBadgesEdit

  • git #3888ac70 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #af4c800f - build: Updating minimist to 1.2.5 by libraryupgrader

WikimediaEditorTasksEdit

  • git #e0f2c7c9 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #382c120a - build: Updating minimist to 1.2.5 by libraryupgrader

WikimediaEventsEdit

WikimediaIncubatorEdit

  • git #db04af7c - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #32a6a789 - Use lowercase for primitive type 'string' by DannyS712
  • git #13fadde3 - build: Updating minimist to 1.2.5 by libraryupgrader

WikimediaMaintenanceEdit

WikimediaMessagesEdit

  • git #ecf23332 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #5689bdf0 - Use lowercase for primitive type 'string' by DannyS712
  • git #a85f9029 - build: Updating minimist to 1.2.5 by libraryupgrader

WikisourceEdit

  • git #09307219 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #6af4a9e4 - build: Updating minimist to 1.2.5 by libraryupgrader

XAnalyticsEdit

  • git #488e7581 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #25054f06 - build: Updating minimist to 1.2.5 by libraryupgrader

SkinsEdit

CologneBlueEdit

  • git #0c902e81 - build: Updating mkdirp to 0.5.3 by libraryupgrader

MinervaNeueEdit

  • git #6c6cfac1 - Limit title on Special:Watchlist and Special:RecentChanges (task T237230) by jdlrobson
  • git #bc41bf53 - SkinMinerva: Fix link target for transcluded pages in doEditSectionLink() (task T198011) by Bartosz Dziewoński
  • git #2afd3b5d - menu: Remove local var `$url` whose usage was removed in the past by Derick A
  • git #5283774b - docs: Remove mention of TemplateParser $forceRecompile arg by Timo Tijhof

ModernEdit

  • git #54e6608a - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #eb336e00 - build: Replace jsonlint with eslint by zoranzoki21

MonoBookEdit

NostalgiaEdit

  • git #e6863b6f - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #19ae2865 - Use lowercase for primitive type 'string' by DannyS712

TimelessEdit

  • git #3562b4d8 - build: Updating mkdirp to 0.5.3 by libraryupgrader
  • git #3f115237 - build: Updating minimist to 1.2.5 by libraryupgrader

VectorEdit

VisualEditorEdit

  • git #27175748 - Move ve.resolveUrl method to 've.utils.parsing' by Bartosz Dziewoński
  • git #ef37e8ea - build: Updating minimist to 1.2.5 by libraryupgrader
  • git #cf72879d - Show sum/average when selecting multiple numeric cells (task T247877) by Ed Sanders
  • git #2e0e2a30 - build: Upgrade grunt from 1.0.4 to 1.1.0 by James D. Forrester
  • git #301ab9ab - Add accessibility labels to all `type: 'list'` toolbar groups (task T245776) by Bartosz Dziewoński

Total ChangesEdit

662 Changes in 192 repos by 78 authors